## xdesktopwaves 1.3

=== Makefile ===
# Makefile for xdesktopwaves

#===================== Configuration for inline assembler ======================

# This should be adapted if you get errors from the assembler: Which level of
# instruction set is supported by the x86 assembler behind gcc? 2 means MMX and
# SSE2, 1 means just MMX and no SSE2, and 0 means no MMX and no SSE2. (support
# by the CPU is checked at run-time)

XDW_MAX_OPTIMIZATION=2

#=========================== C compiler configuration ==========================

CC     = gcc
CFLAGS = -I/usr/X11R6/include -O2

#============================= Linker configuration ============================

LINK   = gcc
LFLAGS = -L/usr/X11R6/lib
LIBS   = -lm -lX11 -lXext

#============================ Installer configuration ==========================

BINDIR  = /usr/X11R6/bin
MAN1DIR = /usr/X11R6/man/man1
INSTALL = install
RM      = rm -f -v

#===============================================================================

all: xdesktopwaves

xdesktopwaves.o: xdesktopwaves.c
	$(CC) $(CFLAGS) -DXDW_MAX_OPTIMIZATION=$(XDW_MAX_OPTIMIZATION) -c xdesktopwaves.c -o xdesktopwaves.o

xdesktopwaves: xdesktopwaves.o
	$(LINK) $(LFLAGS) xdesktopwaves.o $(LIBS) -o xdesktopwaves

clean:
	$(RM) xdesktopwaves.o

install: xdesktopwaves xdesktopwaves.1
	$(INSTALL) -c -m 0755 -s xdesktopwaves $(BINDIR)/xdesktopwaves
	$(INSTALL) -c -m 0444 xdesktopwaves.1 $(MAN1DIR)/xdesktopwaves.1

uninstall:
	$(RM) $(BINDIR)/xdesktopwaves
	$(RM) $(MAN1DIR)/xdesktopwaves.1

=== xdwapi/Makefile ===
# Makefile for the xdesktopwaves API and its demo program

CC     = gcc
CFLAGS = -I/usr/X11R6/include -O2
LINK   = gcc
LFLAGS = -L/usr/X11R6/lib
LIBS   = -lm -lX11

all: xdwapidemo

xdwapi.o: xdwapi.c xdwapi.h
	$(CC) $(CFLAGS) -c xdwapi.c -o xdwapi.o

xdwapidemo.o: xdwapidemo.c xdwapi.h
	$(CC) $(CFLAGS) -c xdwapidemo.c -o xdwapidemo.o

xdwapidemo: xdwapidemo.o xdwapi.o
	$(LINK) $(LFLAGS) xdwapidemo.o xdwapi.o $(LIBS) -o xdwapidemo

clean:
	$(RM) xdwapidemo xdwapidemo.o xdwapi.o

=== debian/changelog ===
xdesktopwaves (1.3-4) unstable; urgency=low

  * Using source package format "3.0 (quilt)"
  * Upgraded Standards-Version from 3.7.3 to 3.9.3
  * Replaced dh_clean -k by dh_prep in debian/rules
  * Upgraded debian/compat to 9.
  * Modified debian/rules to use fortified libc functions.
    See: http://wiki.debian.org/Hardening
  * Added build-indep and build-arch targets to debian/rules
  * Added PNG icons, menu entry and desktop entries
  * Changed my email in debian/control to miriam@debian.org

 -- Miriam Ruiz <miriam@debian.org>  Fri, 23 Nov 2012 15:37:51 +0100

xdesktopwaves (1.3-3) unstable; urgency=low

  * Added libxext-dev to Build-Depends (Closes: #486962)

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 19 Jun 2008 09:08:41 +0000

xdesktopwaves (1.3-2) unstable; urgency=low

  * Modified package to build with debhelper instead of yada.
  * Added homepage to package description in debian/control.
  * Binaries are not stripped with DEB_BUILD_OPTIONS=nostrip (Closes: #438299)
  * Added quilt to build-depends.
  * Added homepage to debian/control.
  * Upgraded Standards-Version from 3.7.2 to 3.7.3

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 07 Jun 2008 04:40:52 +0200

xdesktopwaves (1.3-1) unstable; urgency=low

  * New Upstream version.

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu,  23 Dec 2004 16:14:00 +0100

xdesktopwaves (1.2-1) unstable; urgency=low

  * Initial Debian version.

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed,  8 Dec 2004 19:46:34 +0100

=== debian/control ===
Source: xdesktopwaves
Section: games
Priority: optional
Maintainer: Miriam Ruiz <miriam@debian.org>
Build-Depends: debhelper (>= 9), quilt, libx11-dev,
 x11proto-core-dev, x11proto-xext-dev, libxext-dev
Standards-Version: 3.9.3
Homepage: http://xdesktopwaves.sourceforge.net/

Package: xdesktopwaves
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simulation of water waves on the X Window System
 xdesktopwaves is a cellular automata setting the background of your
 X Window System under water. Windows and mouse are like ships on
 the sea. Each movement of these ends up in moving water waves. You
 can even have rain and/or storm stirring up the water.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS2:=-Wl,-z,defs  -Wl,-as-needed -Wl,--no-undefined

configure: configure-stamp
configure-stamp:
	dh_testdir
	$(MAKE) -f /usr/share/quilt/quilt.make patch
	touch $@

build-stamp: configure-stamp
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LFLAGS="$(LDFLAGS) $(LDFLAGS2)"
	touch $@

build-indep: configure-stamp

build-arch: build-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	$(MAKE) -f /usr/share/quilt/quilt.make patch
	$(MAKE) distclean
	$(MAKE) -f /usr/share/quilt/quilt.make unpatch
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/xdesktopwaves install

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure
